/**
 * 这是与购物有关的业务逻辑的服务
 */
export default class OrderService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'OrderService'
	}
	/* 订单结算初始化 */
	QueryOrderConfirm (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/confirm', 
			data, 
			isLoading: true ,
		})
	}
	/* 提交订单 */
	QueryOrderSubmit (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/submit', 
			data, 
			isLoading: true ,
		})
	}
	/* 订单列表 */
	QueryOrderList (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/list', 
			data, 
			isLoading: true ,
		})
	}
	/* 分销者订单列表 */
	QueryOrderDealerList (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/dealer/list', 
			data, 
			isLoading: true ,
		})
	}
	/* 查询订单详情 */
	QueryOrderDetails (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/detail', 
			data, 
			isLoading: true ,
		})
	}
	/* 操作取消订单 */
	CancelOrder (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/cancel', 
			data, 
			isLoading: true ,
		})
	}
	/* 操作删除订单 */
	DeleteOrder (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/delete', 
			data, 
			isLoading: true ,
		})
	}
	/* 确认收货操作 */
	ConfirmReceipt (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/affirm', 
			data, 
			isLoading: true ,
		})
	}
	/* 再次购买查询操作 */
	GetOrderBuyAgain (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/buyAgain', 
			data, 
			isLoading: false ,
		})
	}
	/* 查询物流 */
	QueryLogistics (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/logistics', 
			data, 
			isLoading: true ,
		})
	}
	/**
	 *机构搜索订单
	 *@param searchWord 关键词
	 *@param userId		用户ID
	 *@param pageNum	页码
	 *@param pageSize	条数
	 */
	SearchOrderInfo (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/search', 
			data, 
			isLoading: true ,
		})
	}
	/**
	 *搜索订单历史记录
	 *@param organizeId 用户ID
	 */
	SearchOrderHistory (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/searchHistory', 
			data, 
			isLoading: false ,
		})
	}
	/**
	 *清除订单历史记录
	 *@param organizeId 用户ID
	 */
	ClearOrderHistory (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/searchHistory/delete', 
			data, 
			isLoading: true ,
		})
	}
	/**
	 *@确认订单-获取邮费信息
	 *@param productIds 商品ID【”,”分割】
	 *@param totalPrice	商品总额
	 *@param userId		用户ID
	 *@param townID		地址区ID
	 */
	GetOrderPostage (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/postage', 
			data, 
			isLoading: false ,
		})
	}
	/* 提交订单 orderId 订单ID */
	CreatedOrderSubmit (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/submit', 
			data, 
			isLoading: true ,
		})
	}
}
